<script>
    import data from '../data/homepage.json';
</script>

<section class="dark:bg-jacarta-800 relative py-24">
    <picture class="pointer-events-none absolute inset-0 -z-10 dark:hidden">
        <img src="/img/gradient_light.jpg" alt="gradient" class="h-full" />
    </picture>
    <div class="container">
        <div class="font-display text-jacarta-700 mb-12 text-center text-3xl dark:text-whit">
            <h2 class="inline">Top collections over</h2>
            <div class="dropdown inline cursor-pointer">
                <button
                    class="dropdown-toggle text-accent inline-flex items-center"
                    type="button"
                    id="collectionSort"
                    data-bs-toggle="dropdown"
                    aria-expanded="false"
                >
                    last 7 days
                    <svg
                        xmlns="http://www.w3.org/2000/svg"
                        viewBox="0 0 24 24"
                        width="24"
                        height="24"
                        class="fill-accent h-8 w-8"
                    >
                        <path fill="none" d="M0 0h24v24H0z" />
                        <path d="M12 13.172l4.95-4.95 1.414 1.414L12 16 5.636 9.636 7.05 8.222z" />
                    </svg>
                </button>
                <div
                    class="dropdown-menu dark:bg-jacarta-800 z-10 hidden min-w-[200px] whitespace-nowrap rounded-xl bg-white py-4 px-2 text-left shadow-xl"
                    aria-labelledby="collectionSort"
                >
                    <a
                        class="dropdown-item dark:hover:bg-jacarta-600 hover:bg-jacarta-50 block rounded-xl px-5 py-2 text-sm transition-colors"
                        href="/#">Last 24 Hours</a
                    >
                    <a
                        class="dropdown-item dark:hover:bg-jacarta-600 hover:bg-jacarta-50 block rounded-xl px-5 py-2 text-sm transition-colors"
                        href="/#">Last 7 Days</a
                    >
                    <a
                        class="dropdown-item dark:hover:bg-jacarta-600 hover:bg-jacarta-50 block rounded-xl px-5 py-2 text-sm transition-colors"
                        href="/#">Last 30 Days</a
                    >
                </div>
            </div>
        </div>

        <div class="grid grid-cols-1 gap-3 md:grid-cols-2 md:gap-[1.875rem] lg:grid-cols-4">
            {#each data.collections as collection}
                <div
                    class="border-jacarta-100 dark:bg-jacarta-700 flex rounded-[1.25rem] border bg-white py-4 px-7 transition-shadow hover:shadow-lg dark:border-transparent"
                >
                    <figure class="mr-4 shrink-0">
                        <a href={collection.url} class="relative block">
                            <img
                                src="/img/avatars/avatar_1.jpg"
                                alt="avatar 1"
                                class="rounded-2lg"
                                loading="lazy"
                            />
                            <div
                                class="dark:border-jacarta-600 bg-jacarta-700 absolute -left-3 top-1/2 flex h-6 w-6 -translate-y-2/4 items-center justify-center rounded-full border-2 border-white text-xs text-white"
                            >
                                {collection.size}
                            </div>
                            <div
                                class="dark:border-jacarta-600 bg-green absolute -left-3 top-[60%] flex h-6 w-6 items-center justify-center rounded-full border-2 border-white"
                                data-tippy-content="Verified Collection"
                            >
                                <svg
                                    xmlns="http://www.w3.org/2000/svg"
                                    viewBox="0 0 24 24"
                                    width="24"
                                    height="24"
                                    class="h-[.875rem] w-[.875rem] fill-white"
                                >
                                    <path fill="none" d="M0 0h24v24H0z" />
                                    <path
                                        d="M10 15.172l9.192-9.193 1.415 1.414L10 18l-6.364-6.364 1.414-1.414z"
                                    />
                                </svg>
                            </div>
                        </a>
                    </figure>
                    <div>
                        <a href={collection.url} class="block">
                            <span
                                class="font-display text-jacarta-700 hover:text-accent font-semibold dark:text-whit"
                                >{collection.name}</span
                            >
                        </a>
                        <span class="dark:text-jacarta-300 text-sm"
                            >{collection.bid_amount} {collection.bid_currency}</span
                        >
                    </div>
                </div>
            {/each}
        </div>
        <div class="mt-10 text-center">
            <a
                href="/#"
                class="bg-accent shadow-accent-volume hover:bg-accent-dark inline-block rounded-full py-3 px-8 text-center font-semibold text-white transition-all"
                >Go to Rankings</a
            >
        </div>
    </div>
</section>
